PDA

View Full Version : USPS error



jmelson
01-19-2009, 08:54 PM
I've got a brand new download of oscmax from a couple days ago. I'm trying to get the USPS module to work. I got a USPS webtools account set up, and tried to check it out. I get the "an error ocurred with the USPS shipping calculations" error message. I tried to edit in the changes suggested by sting01 in his 7/9/2007 post, as it looked like the code in usps.php was still the same as he showed in his "looked like" sections. But, now I get a "parse error, syntax error" in usps.php, on the last line of the file (now line 925). So, I don't know where I fouled it up.

Do I still need to do this old update to a new oscmax download? Does anyone know how to track this error down?

(Full text:
Parse error: syntax error, unexpected ';', expecting T_FUNCTION in /home/httpd/html/oscmax/catalog/includes/modules/shipping/usps.php on line 925
)

Thanks,

Jon

cikez
01-20-2009, 02:14 PM
jmelson: I would do this. First go here: osCommerce Community Add-Ons (http://addons.oscommerce.com/info/487) and download USPS Methods 4.3.0 ALPHA. Go into your admin panel and click "Remove" next to the USPS module. Transfer the new files over from the contrib above and follow the instructions. I did today and it fixed all of my issues with the USPS module.

Hope this helps.

-Kyle

jmelson
01-20-2009, 07:57 PM
jmelson: I would do this. First go here: osCommerce Community Add-Ons (http://addons.oscommerce.com/info/487) and download USPS Methods 4.3.0 ALPHA. Go into your admin panel and click "Remove" next to the USPS module. Transfer the new files over from the contrib above and follow the instructions. I did today and it fixed all of my issues with the USPS module.

Hope this helps.

-Kyle
I tried 4.2.1 (I was a little leery of Alpha release code) with no help. But, thanks, I will try this 4.3.0 and see if it works better. I have now gotten UPS and FedEx modules working, so I am getting close!

Jon

Robyn
01-14-2010, 02:58 PM
I've got version 3.0, and the programmer who installed OSCommerce is halfway around the world and ignoring my emails (or not getting them). Apparently, I have a limited access backend - I've got no toolbox, etc, so I can't install modules. Is there some coding I can put into usps.php version 3.0 to make it work like 4.3.2? The only rate that my international is returning is for Priority Mail - no Express Mail, no First Class International, which is making for some very unhappy customers.